=== debian/changelog ===
ispell-uk (1.7.1-2) unstable; urgency=medium

  [ gregor herrmann ]
  * Fix "FTBFS: The encoding pragma is no longer supported at
    ../../bin/verb_reverse.pl line 12.":
    Add perl5.26-encoding.patch: replace "use encoding" with "use open" in
    perl helper scripts. Additionally run ispell build in debian/rules under
    C.UTF-8. (Closes: #871349)

  [ Євгеній Мещеряков ]
  * Add debian/gbp.conf with correct branch for this package (1.7.1-support)

 -- Євгеній Мещеряков <eugen@debian.org>  Tue, 15 Aug 2017 23:42:55 +0200

ispell-uk (1.7.1-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright
  * Use class:Depends variables provided by dictionaries-common-dev

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 30 Apr 2014 21:59:38 +0200

ispell-uk (1.7.0-1) unstable; urgency=medium

  * The "Euromaidan" release
  * New upstream release
  * Standards-Version 3.9.5 — no changes required

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 19 Feb 2014 21:29:55 +0100
