## ispell-uk 1.8.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -52,7 +52,7 @@
 
 include encodings.inc
 
-default:	aspell
+default:	myspell
 
 all: 		aspell myspell mozilla-xpi ooo
 
@@ -67,15 +67,16 @@
 # 
 #aspell:		$(ASPELL_DIST)/uk.rws $(ASPELL_DIST)/uk_affix.dat $(ASPELL_DIST)/uk.dat uk.multi ukrainian.alias $(ASPELL_DIST)/ukrainian.kbd
 aspell:		$(ASPELL_DIST)/uk.rws $(ASPELL_DIST)/uk.dat src/aspell/uk.multi src/aspell/ukrainian.alias $(ASPELL_DIST)/ukrainian.kbd
+	echo "aspell is not actively maintained any more, please switch to hunspell"
 	cp -u src/aspell/uk.multi src/aspell/ukrainian.alias $(ASPELL_DIST)
 
 $(ASPELL_DIST)/uk_repl.dat:
 	cp -u src/aspell/uk_repl.dat $(ASPELL_DIST)
 
-$(affixfile_src):
+affix-dir:
 	$(MAKE) -C src/Affix
 
-$(wordlist_src):
+dictionary-dir:
 	$(MAKE) -C src/Dictionary
 
 
@@ -164,13 +165,13 @@
 	zip -j $@ $(MYSPELL_DIST)/uk_UA.aff $(MYSPELL_DIST)/uk_UA.dic src/myspell/README*
 
 # myspell dependencies
-$(MYSPELL_DIST)/uk_UA.aff:	$(affixfile_src) src/myspell/myspell.header encodings.inc
+$(MYSPELL_DIST)/uk_UA.aff:	affix-dir src/myspell/myspell.header encodings.inc
 	mkdir -p $(MYSPELL_DIST)
 	sed s/xxENCODINGxx/UTF-8/ < src/myspell/myspell.header > tmp.header
 	cat tmp.header $(affixfile_src) | $(iconv) -f $(SOURCE_ENC) -t $(MYSPELL_ENC) > $@
 	-rm tmp.header
 
-$(MYSPELL_DIST)/uk_UA.dic:	$(wordlist_src) encodings.inc
+$(MYSPELL_DIST)/uk_UA.dic:	dictionary-dir encodings.inc
 	wc -l < $(wordlist_src) > $@
 	cat $(wordlist_src) | $(iconv) -f $(SOURCE_ENC) -t $(MYSPELL_ENC) >> $@
 
@@ -210,7 +211,10 @@
 #
 # ispell rules
 #
-ispell:		$(ISPELL_DIST)/ukrainian.aff $(ISPELL_DIST)/ukrainian.hash
+#ispell:		$(ISPELL_DIST)/ukrainian.aff $(ISPELL_DIST)/ukrainian.hash
+ispell:
+	@echo "FATAL: ispell is not supported any more, please use hunspell" >&2
+	@/bin/false
 
 install-ispell-dict:	ispell
 	install -m 0755 -d $(PREFIX)$(ISPELLDIR)
@@ -253,20 +257,9 @@
 	install -m 0755 -d $(PREFIX)/usr/share/dict
 	install -m 0644 ukrainian $(PREFIX)/usr/share/dict
 
-# common rules
-#
-$(affixfile_src): affix-dir
-$(wordlist_src): dictionary-dir
-
-affix-dir:
-	$(MAKE) -C src/Affix
-
-dictionary-dir:
-	$(MAKE) -C src/Dictionary
-
 # regression test
 #
-regtest:	aspell $(wordlist_src)
+regtest:
 	$(MAKE) -C test regtest
 
 regtestroll:
@@ -274,7 +267,7 @@
 
 
 srctar: clean
-	tar cfz $(DIST)/spell-uk-$(VERSION).tgz --exclude=test/all* --exclude=dist/*spell* --exclude=dist/*openoffice* --exclude=dist/*.oxt --exclude=*.old --exclude=src_text --exclude=CVS --exclude=--exclude=.* --exclude=tools *
+	tar cfz $(DIST)/spell-uk-$(VERSION).tgz --exclude=test --exclude=dist/*spell* --exclude=dist/*openoffice* --exclude=dist/*.oxt --exclude=*.old --exclude=src_text --exclude=CVS --exclude=--exclude=.* --exclude=tools *
 	mkdir -p $(DIST)/spell-uk-$(VERSION)
 	tar xCfz $(DIST)/spell-uk-$(VERSION) $(DIST)/spell-uk-$(VERSION).tgz
 	tar cCfz $(DIST) $(DIST)/spell-uk-$(VERSION).tgz --owner=root --group=root spell-uk-$(VERSION)
