=== debian/changelog ===
ispell-uk (1.8.0+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Sources repacked to remove files:
      - bin/tag/__pycache__ - binary files without source.
      - bin/tag/uk_words.out - symlink that points outside of the
        source tree.
  * New patches:
    - make-fixes.diff - fix build errors because of incorrect Makefile
    - remove-gzip-timestamp.diff - run gzip with -n to remove timestamp.
  * Remove ispell support - removed upstream
  * Add debian/salsa-ci.yml.
  * Trim trailing whitespace.
  * Update watch file format version to 4.
  * Bump debhelper from deprecated 7 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Update Vcs-* headers to use salsa repository.
  * Use a resolvable URL for the Homepage field.
  * Don't generate the KOI8-U locale - it's unused.
  * Remove debian/gbp.conf — not needed anymore.
  * Simplify debin/rules using dh.
  * Change backage section to localization, keep section text for wukrainian.
  * Standards-Version 4.6.0
  * Point to versioned version of GPL and LGPL in debian/copyright.

 -- Євгеній Мещеряков <eugen@debian.org>  Wed, 27 Oct 2021 20:00:20 +0200
