=== debian/control ===
--- 
+++ 
@@ -1,22 +1,15 @@
 Source: ispell-uk
-Section: text
+Section: localization
 Priority: optional
 Maintainer: Євгеній Мещеряков <eugen@debian.org>
-Build-Depends: debhelper (>= 7.0.0), dictionaries-common-dev (>= 1.22.4~), ispell (>= 3.3.02~), aspell (>= 0.60.3-3), locales (>> 2)
-Standards-Version: 3.9.5
-Homepage: http://ispell-uk.sourceforge.net
-Vcs-Git: git://git.debian.org/collab-maint/ispell-uk.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/ispell-uk.git
-
-Package: iukrainian
-Architecture: any
-Depends: ${ispell:Depends}, ${misc:Depends}
-Suggests: wukrainian
-Provides: ispell-dictionary
-Description: Ukrainian dictionary for ispell
- This is a Ukrainian dictionary, to be used with the ispell program.
+Build-Depends: debhelper-compat (= 13), dictionaries-common-dev (>= 1.22.4~), aspell (>= 0.60.3-3), locales (>> 2)
+Standards-Version: 4.6.0
+Homepage: https://sourceforge.net/projects/ispell-uk/
+Vcs-Git: https://salsa.debian.org/debian/ispell-uk.git
+Vcs-Browser: https://salsa.debian.org/debian/ispell-uk
 
 Package: wukrainian
+Section: text
 Architecture: all
 Depends: ${wordlist:Depends}, ${misc:Depends}
 Provides: wordlist
