=== debian/watch ===
version=4
opts=dversionmangle=auto http://sf.net/ispell-uk .*/spell-uk-(.*)\.tgz
